<?php

namespace App;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

use Illuminate\Database\Eloquent\Model;

class usuarios_app extends Model
{
    public $table ='usuarios_app';
    protected $fillable = ['user_id','app_id'];


    // mostrar aplicaciones que tiene asignado el usuario logeado
    static function app_user() {
        return DB::table('usuarios_app')
            ->join('aplicacion','aplicacion.id','usuarios_app.app_id')
            ->where('user_id', Auth::user()->id)
            ->select('usuarios_app.*','aplicacion.nombre as app_name')
            ->get();
    }

    // mostrar usuarios para asignarle la app
    static function mostrarUsers($role) {
        return DB::table('users')
        ->where('role', $role)
        ->get();
    }
}
